<?php

namespace DMZ\Http\Requests\Web;

use DMZ\Http\Requests\Request;

class ContenidoPutRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required|max:255', 
            'created_by_alias' => 'required|max:255',
            'description' => 'required',
            'category_id' => 'required', 
              ];
 
    }

    public function messages()
    {
        return [
            'title.required' => 'Debe ingresar un Título para el contenido',
            'title.max' => 'El título es demasiado extenso',
            'created_by_alias.required' => 'Debe ingresar un autor para el contenido',
            'created_by_alias.max' => 'El nombred el autor es demasiado extenso',
            'description.required' => 'Debe ingresar la descripción del contenido',
            'category_id' => 'Seleccione una categoría para el contenido', 
        ];
    }

}
